#!/usr/bin/env python
################################################################################
#  Copyright (C) 2003  Travis Shirk <travis@pobox.com>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#  $Id$
################################################################################
import unittest;
import eyeD3;

PATH = "/home/travis/devel/eyeD3/samples/";

class ReadTests(unittest.TestCase):
   def setUp(self):
      self.tag = eyeD3.Tag();

   def tearDown(self):
      self.tag = None;

   def test23Compressed(self):
      self.tag.link(PATH + "230-compressed.tag");
      self.failUnless(len(self.tag.frames) == 1);
      f = self.tag.frames["TXXX"][0];
      self.failIf(f.description != "compression example");
      self.failIf(f.text != "This sample user text frame came from an ID3v2-3.0 tag.  The frame has the 'compression' bit set in it's frame header.  This is the new method for compressing frames, which supercedes the 2.01 Compressed Data Metaframe.");

   def test23Picture(self):
      self.tag.link(PATH + "230-picture.tag");
      self.assert_(self.tag.getArtist() == "Slovakia Radio Symphony Orchestra");
      self.assert_(self.tag.getArtist(eyeD3.frames.CONDUCTOR_FID) == \
                  "Ondrej Lenrd");
      self.assert_(self.tag.getTitle() == "Aquarium");


def main():
   result = unittest.TestResult();

   testSuite = unittest.makeSuite(ReadTests, "test");

   testSuite.run(result);

   print result;
   if result.errors:
      print result.errors;
   if result.failures:
      print result.failures;

   return 0;

if __name__ == "__main__":
   main();
